Skip to main content
GET
Get a command

Authorizations

Authorization
string
header
required

An API key that starts with vms_. Make one in Settings > API keys.

Path Parameters

id
string
required

The ID of the sandbox.

commandId
string
required

The ID of the command.

Response

The command.

id
string
required
Example:

"cmd_01jz8x3n9q2v7k4m6p8r0t2w4y"

sandboxId
string
required
argv
string[]
required
Minimum array length: 1
cwd
string | null
required
Required string length: 1 - 4096
Pattern: ^\/
status
enum<string>
required
Available options:
running,
exited
pid
integer | null
required
Required range: 0 < x <= 9007199254740991
detached
boolean
required
startedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
exitedAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
exitCode
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
signal
enum<string> | null
required

The signal that stopped the command, or null.

Available options:
SIGTERM,
SIGKILL,
SIGINT,
SIGHUP,
SIGQUIT,
SIGUSR1,
SIGUSR2
oomKilled
boolean
required

true when the command ran out of memory.

timedOut
boolean
required

true when the command stopped at its time limit.

lastSeq
integer
required

The seq of the newest event of the command.

Required range: 0 <= x <= 9007199254740991